Bug 6014 - Upgrade scripts handles errors poorly
Upgrade scripts handles errors poorly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-16 22:21 EDT by alanrb
Modified: 2015-01-07 18:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-21 12:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description alanrb 1999-10-16 22:21:46 EDT
While upgrading from 6.0 to 6.1 via FTP I had several errors
that the installer did not handle very well. It apparently
just crashed the script and displayed a traceback. It took
me awhile before I figured out how to deal with this.
Clicking OK or DEBUG just seemed to eventually get me to a
hung system. Scrolling the traceback and trying to interpret
the messages eventually allowed me to get past the problems,
which I have listed below:

* /etc/lilo.conf was linked to /boot/lilo.conf on my 6.0
system, but that is not valid with the installs mounting
setup, so no writtable file existed. The lack of checking on
this may be related to the other problems with lilo.conf
that have been reported.

* Upgrade was done via FTP; transmission errors and login
failure due to exceeding user limits lead to script crash
and the traceback.

This may be tough to deal with, but I think a complete
novice user would be stuck if they hit these.
Comment 1 Jay Turner 1999-10-21 12:23:59 EDT
*** This bug has been marked as a duplicate of 5788 ***

Note You need to log in before you can comment on or make changes to this bug.